Bug 1111046 - [GSS] (6.3.x) CXF-5810 - Empty response returned when SOAP fault is thrown from an endpoint having WS-Security policy signature profile
Summary: [GSS] (6.3.x) CXF-5810 - Empty response returned when SOAP fault is thrown fr...
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR1
: EAP 6.3.2
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1110631
Blocks: 1115216 eap632-blockers, eap632-payload 1144103 1111518
TreeView+ depends on / blocked
 
Reported: 2014-06-19 06:37 UTC by Tadayoshi Sato
Modified: 2018-12-06 16:55 UTC (History)
6 users (show)

(edit)
This release of JBoss EAP 6 contains a bug that causes a web service that has a WS-Security Signature policy in its WSDL to return an empty HTTP response that has zero-length of content to client when throws a SOAP Fault instead of the actual SOAP Fault.

This issue presents only when Signature policy is in use.

This is expected to be resolved in a future release of the product.
Clone Of: 1110631
: 1111048 (view as bug list)
(edit)
Last Closed:


Attachments (Terms of Use)
Reproducer (31.50 KB, application/zip)
2014-06-19 06:49 UTC, Tadayoshi Sato
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA CXF-5810 None None None Never
JBoss Issue Tracker JBWS-3802 Major Closed Empty response returned when SOAP Fault is thrown from an endpoint having WS-Security Policy Signature profile 2017-02-21 11:44 UTC

Description Tadayoshi Sato 2014-06-19 06:37:06 UTC
+++ This bug was initially created as a clone of Bug #1110631 +++

Description of problem:
Platform BZ for https://issues.jboss.org/browse/JBWS-3802

Please port CXF-5810, which is the root cause of the issue, to JBoss WS.

When a web service has a WS-Security Signature policy in its WSDL and throws a SOAP Fault, it returns an empty HTTP response that has zero-length of content to client instead of the SOAP Fault.

This happens only with Signature policy and doesn't happen with any other WS-Security policies like UsernameToken, or without WS-Security.


How reproducible:
100%

Steps to Reproduce:
1. From the base maven project run:
   > mvn clean install jboss-as:deploy
2. Then run:
   > mvn clean test -Pjbossas-remote

Actual results:
- The reproducer client gets empty response from the endpoint.

Expected results:
- The reproducer client should get a SOAP Fault from the endpoint.

Comment 1 Tadayoshi Sato 2014-06-19 06:49:57 UTC
Created attachment 910271 [details]
Reproducer

Comment 2 JBoss JIRA Server 2014-07-21 15:52:43 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Resolved

Comment 3 baranowb 2014-08-07 11:55:12 UTC
wrong issue, reverting.

Comment 5 Jan Blizňák 2014-10-16 10:30:12 UTC
Verified on 6.3.2.CP.CR1

Comment 6 JBoss JIRA Server 2015-04-25 20:26:35 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Closed


Note You need to log in before you can comment on or make changes to this bug.